## HomeServerIOExt

When migrating my home control server from a Raspberry Pi to x86 hardware I needed an interface to connect some sensors (door contact, PIR sensors, temperature sensor) 
which were previously connected to the RPi´s GPIOs. 

This simple solution consists of an Arduino Nano which is connected to the host via USB and a daemon written in Python which publishes the states over MQTT. 

The Arduino reads the sensors/IO-Pins and sends state changes via Serial. 
The Python program runs as a daemon, receives the serial data and sends values/states to an MQTT broker. 
